%define module_name Pask
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/INI/Reader.pm) perl(File/Find/Rule.pm) perl(Scalar/Util.pm) perl(Term/ANSIColor.pm) perl(Time/HiRes.pm) perl(open.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02a
Release: alt1
Summary: A Micro Task Framework
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CH/CHONGWISH/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
# create a new application
    $> script/pask.pl Demo

    # show all task
    $> perl Demo/pask 

    # run task
    perl Demo/pask TaskName --Parameter Arguments

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ignore.txt LICENSE README.md Changes examples
%perl_vendor_privlib/P*

%changelog
* Thu Aug 17 2017 Igor Vlasenko <viy@altlinux.ru> 0.02a-alt1
- regenerated from template by package builder

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

